# Generated from fluent-plugin-ecs-metadata-filter-0.2.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name fluent-plugin-ecs-metadata-filter

Name: rubygem-%{gem_name}
Version: 0.2.0
Release: 1%{?dist}
Summary: Filter plugin to add AWS ECS metadata to fluentd events
License: MIT
URL: https://github.com/michaelgruber/fluent-plugin-ecs-metadata-filter
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(minitest) >= 5.0
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(test-unit) >= 3.2
# BuildRequires: rubygem(test-unit) < 4
# BuildRequires: rubygem(test-unit) >= 3.2.3
# BuildRequires: rubygem(vcr) >= 3.0
# BuildRequires: rubygem(vcr) < 4
# BuildRequires: rubygem(vcr) >= 3.0.3
# BuildRequires: rubygem(webmock) >= 2.3
# BuildRequires: rubygem(webmock) < 3
# BuildRequires: rubygem(webmock) >= 2.3.1
BuildArch: noarch

%description
Filter plugin to add AWS ECS metadata to fluentd events.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.codeclimate.yml
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/fluent_plugin_ecs_metadata_filter.gemspec

%changelog
* Mon Aug 23 2021 mockbuilder - 0.2.0-1
- Initial package
